> ## Documentation Index
> Fetch the complete documentation index at: https://docs.replo.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Read complete small UTF-8 documents or get a download URL valid for 15 minutes.

> **Beta** — this endpoint may change before general availability.



## OpenAPI

````yaml /api-reference/openapi.json get /files/{fileId}/content
openapi: 3.1.0
info:
  title: Replo Public API
  version: '2026-08-21'
servers:
  - url: https://api.replo.app/v1
security: []
paths:
  /files/{fileId}/content:
    get:
      tags:
        - Files
      summary: >-
        Read complete small UTF-8 documents or get a download URL valid for 15
        minutes.
      description: '**Beta** — this endpoint may change before general availability.'
      operationId: files.content
      parameters:
        - name: Replo-Api-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2026-08-21'
          description: The public API version to use for this request.
        - schema:
            type: string
            format: uuid
          required: true
          name: fileId
          in: path
      responses:
        '200':
          description: >-
            Read complete small UTF-8 documents or get a download URL valid for
            15 minutes.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - file_content
                  fileId:
                    type: string
                    format: uuid
                  content:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - text
                          text:
                            type: string
                          contentType:
                            type: string
                        required:
                          - type
                          - text
                          - contentType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - download
                          url:
                            type: string
                            format: uri
                          expiresAt:
                            type: string
                            format: date-time
                          contentType:
                            type: string
                        required:
                          - type
                          - url
                          - expiresAt
                          - contentType
                required:
                  - object
                  - fileId
                  - content
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '401':
          description: Missing or invalid Replo Public API token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '403':
          description: You are not authorized to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '409':
          description: The resource is in a conflicting state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '413':
          description: File content exceeds the 10 MiB limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '429':
          description: >-
            Too many requests. Please retry after the time indicated by the
            Retry-After header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '500':
          description: An internal error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '503':
          description: Service temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    PublicApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            doc_url:
              type: string
          required:
            - code
            - message
            - doc_url
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````